<?
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {

  header('location: /');
    
exit;

}

if($user['save'] == 1) {

  header('location: /');
  exit;

}

$title = 'Сохранение';    

include './system/h.php';  

   $login = _string($_POST['login']);
$password = _string($_POST['password']);

if($login && $password) {
  
  if(!preg_match('/[a-z0-9а-я]{2,20}/i', $login)) $errors[] = 'Ошибка, имя персонажа введено не верно';
  if(!preg_match('/[a-z0-9]{2,20}/i', $password)) $errors[] = 'Ошибка, пароль введен неверно';

  if(mysql_result(mysql_query('SELECT COUNT(*) FROM `users` WHERE `login` = \''.$login.'\''),0) != 0) $errors[] = 'Ошибка, выбранное имя персонажа уже занято';  
  
  if($errors) {

        echo '<div class=\'content\' align=\'center\'>';
        
        foreach($errors as $error) {
          
          echo $error.'<br/>';
          
        }
      
        echo '</div>
<div class=\'line\'></div>';

  }
  else
  {
  
    mysql_query('UPDATE `users` SET `login` = \''.$login.'\', 
                                 `password` = \''.$password.'\',
                                     `save` = \'1\',
                                     `g` = `g` + 10 WHERE `id` = \''.$user['id'].'\'');

    setCookie('password', $password, time() + 86400, '/');
  
    header('location: /');
  
  }
  
}

echo '<div class=\'title\'>'.$title.'</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <font color=\'#90c090\'>За регистрацию вы получите <img src=\'/images/icon/gold.png\' alt=\'*\'/> 10 золота</font>
</div>
<div class=\'line\'></div>
<div class=\'content\' align=\'center\'>
  <form action=\'/save/\' method=\'post\'>
  Имя пользователя:<br/>
  <input name=\'login\' value=\''.$login.'\'/><br/>
  Пароль:<br/>
  <input name=\'password\' value=\''.$password.'\'/><br/>
  <input type=\'submit\' value=\'Сохранить\'/>
</form>
</div>
<div class=\'line\'></div>
<div class=\'list\'>
  <li class=\'no_b\'><a href=\'/?exit\'><img src=\'/images/icon/section.png\' alt=\'*\'/> <font color=\'#909090\'>Выйти из игры</font></a></li>
</div>';
  
include './system/f.php';

?>